UNGETC(3S)

NAME
ungetc - push character back into input stream

SYNOPSIS
#include <stdio.h>

ungetc(c, stream)
FILE *stream;

DESCRIPTION
Ungetc pushes the character c back on an input stream. That character will be returned by the next getc call on that stream. Ungetc returns c.

One character of pushback is guaranteed provided something has been read from the stream and the stream is actually buffered. Attempts to push EOF are rejected.

Fseek(3S) erases all memory of pushed back characters.

SEE ALSO
getc(3S), setbuf(3S), fseek(3S)

DIAGNOSTICS
Ungetc returns EOF if it can't push a character back.